# PyTGA - Thermogravimetric Analysis in Python

## Overview
PyTGA is a Python module designed for conducting and analyzing Thermogravimetric Analysis (TGA) experiments. It offers tools for loading, processing, and analyzing TGA data, focusing on proximate and oxidation analysis, solid distillation analysis, and deconvolution analysis.

## Features
- **Data Loading**: Supports loading TGA data from files.
- **Proximate Analysis**: Calculates moisture, ash, and volatile matter.
- **Oxidation Analysis**: Computes Ti, Tp, Tb, etc.
- **Solid Distillation Analysis**: Analyzes solid distillation over time.
- **Deconvolution Analysis**: Deconvolutes TGA curves for peak analysis.
- **Plotting and Visualization**: Functions for TGA data visualization.

## Example
The example is available in the example folder (with necessary data) and demonstrates how to use the tga_data_analysis package for basic TGA data analysis and visualization.
